/*
This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.


    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA   02110-1301

see: http://www.fsf.org/licensing/licenses/gpl-howto.html
*/

/* SVN FILE: $Id$ */
/**
* Project Name : Project Description
*
* @package className
* @subpackage subclassName
* @author $Author$
* @copyright $Copyright$
* @version $Revision$
* @lastrevision $Date$
* @modifiedby $LastChangedBy$
* @lastmodified $LastChangedDate$
* @license $License$
* @filesource $URL$
*/

/****************************************************************************
** ManDVD
**
** Created: Mon May 08 14:00:00 2006
**      by: Gibault Stphane
**	Hacked on by Mikael Bhm micko@bag.org
**
** This is a tool for simply creating DVD Video
** 
****************************************************************************/
//
// C++ Interface: 
//
// Description:  Global information general for complete program
//
//
// Author: Mikael Bhm <micko@bag.org>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef MANDVD_GLOBAL_H
#define MANDVD_GLOBAL_H

/* Only holds choosen language at present */
#define CONFIGFILE 	"/.mandvdrc" 
#define MANDVDSAVE	"/.mandvd"
#define INTROPATH	"/usr/share/mandvd/movies/mandvd.mpg"
/* The current version of ManDVD*/
#define MANDVDVER       "ManDVD v2.6-1"

// Maximum number of movies to go in one DVD. Limit due to dvd limits 18 buttons.
// http://forums.dvdoctor.net/showthread.php?t=49257
#define MAXNUMMOV		18	

/* Here is the current ManDVD homepage */
#define HOMEPG 		"http://www.kde-apps.org/content/show.php/ManDVD?content=83906\n"

#define HDDVD		"1280x720" 
#define PALDVD		"720x576"
#define PALVCD		"352x576" 
#define NTSCDVD		"720x480"
#define NTSCVCD		"352x480"
#define DVD5		"DVD5"
#define DVD9		"DVD9"
#define VIDEOS		"Videos (*.mpg *.MPG *.mpeg *.MPEG *.VOB *.vob *.avi *.AVI *.mp4 *MP4 *.mkv *.MKV *.wmv *.WMV *.flv *.FLV *.mov *.MOV)"

// Number of frames to testencode with mencoder to estimate videosize
#define CFRAMES		"1000"
#define DEFAULTAUDIOBR	384

// DVDFORMAT (MPEG-2)
// PAL = 352x576, 25fps
// PAL 16:9 = 720x576 25fps
// NTSC = 252x480 29,97fps
// NTSC 16:19 = 720x480 29,97fps


// PAL
// 
// Video:
// Up to 9.8 Mbps* (9800 kbps*) MPEG2 video
// Up to 1.856 Mbps (1856 kbps) MPEG1 video
// 720 x 576 pixels MPEG2 (Called Full-D1)
// 704 x 576 pixels MPEG2
// 352 x 576 pixels MPEG2 (Called Half-D1, same as the CVD Standard)
// 352 x 288 pixels MPEG2
// 352 x 288 pixels MPEG1 (Same as the VCD Standard)
// 25 fps*
// 16:9 Anamorphic (only supported by 720x576)

#endif // MANDVD_GLOBAL_H


